Bug 820415 - CVE-2012-3478 rssh: possible circumvention of rssh restrictions [fedora-all]
CVE-2012-3478 rssh: possible circumvention of rssh restrictions [fedora-all]
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rssh (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3478
  Show dependency treegraph
 
Reported: 2012-05-09 16:48 EDT by Vincent Danen
Modified: 2013-01-11 20:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 03:34:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-05-09 16:48:50 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=820414

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2012-05-09 16:50:53 EDT
There is no upstream fix, and the upstream author has no intention of fixing the problem, or in continuing to maintain the software, as noted in the vulnerability report.

I think that, unless we want to invest in finding an appropriate fix and maintaining this ourselves, we should remove rssh from Fedora and EPEL, due to upstream's disinterest in maintaining it.
Comment 2 Rahul Sundaram 2012-05-10 06:22:27 EDT
I have orphaned the package.   If anyone doesn't want to take over and fix the security issue, they will have to retire it.  I know OLPC is using this package so I am giving them a chance to deal with this first.
Comment 3 Jon Ciesla 2012-05-10 08:45:03 EDT
Could OLPC use scponly instead?
Comment 4 Till Maas 2012-06-30 13:26:31 EDT
(In reply to comment #3)
> Could OLPC use scponly instead?

They can probably just configure OpenSSH properly, for example by using
ForceCommand=internal-sftp
according to the sshd_config man page.
Comment 5 Tomas Hoger 2012-11-21 09:59:15 EST
(In reply to comment #2)
> I have orphaned the package.   If anyone doesn't want to take over and fix
> the security issue, they will have to retire it.  I know OLPC is using this
> package so I am giving them a chance to deal with this first.

Any progress with having this package retired?
Comment 6 Tomas Hoger 2012-12-10 12:54:25 EST
Patch is in bug 877279 comment 15.
Comment 7 Fedora Update System 2012-12-11 03:57:41 EST
rssh-2.3.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-20111/rssh-2.3.4-1.fc18
Comment 8 Fedora Update System 2012-12-11 03:58:06 EST
rssh-2.3.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-20109/rssh-2.3.4-1.fc17
Comment 9 Fedora Update System 2012-12-11 04:38:19 EST
rssh-2.3.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rssh-2.3.4-1.fc16
Comment 10 Fedora Admin XMLRPC Client 2012-12-11 05:04:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Update System 2012-12-12 03:20:41 EST
Package rssh-2.3.4-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rssh-2.3.4-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20236/rssh-2.3.4-1.fc16
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-12-19 03:34:27 EST
rssh-2.3.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-01-11 20:00:05 EST
rssh-2.3.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.